### Function

# Secret password_lookupv_binary_sync

#### Declaration [src]

    SecretValue*
    secret_password_lookupv_binary_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Lookup a password in the secret service.

This is similar to `secret_password_lookupv_sync()`, but returns a `SecretValue` instead of a null-terminated password.

This method may block indefinitely and should not be used in user interface threads.

Available since: | 0.19.0
This function is not directly available to language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretValue`
| A newly allocated `SecretValue`, which should be released with `secret_value_unref()`, or `NULL` if no secret found.
| The caller of the function takes ownership of the data, and is responsible for freeing it.